(function()
{
	var moduleName = 'companyListApp';

	angular.module(moduleName)
		.controller("companyListCtrl", ['$scope', 'breadcrumb.service', companyListController]);

	function companyListController($scope, breadcrumbService)
	{
		var ctrl = this;

		breadcrumbService.setCrumbs(
		[
			{
				'url': '/projects/companies',
				'name': lmsg('projects.companies.breadcrumb.companies')
			}
		]);

		ctrl.companies = [];
		for (var i = 0; i < companies.length; i++)
		{
			ctrl.companies.push(companies[i]);
		}
	}
}());